#ifndef DEFINES_H
#define DEFINES_H

//******************* TYPEDEFINITIONS **********************
//**
//**********************************************************
typedef unsigned char bool;
typedef unsigned char uchar;
typedef unsigned int uint;
typedef unsigned int uint16;
typedef unsigned char uint8;
typedef signed char sint8;
typedef signed int sint16;
typedef signed long sint32;

//******************* DEFINES ******************************
//**
//**********************************************************

#define DEBUG

/* macro for calculating frequency value out of frequency in MHz */
#define RFM12FREQ(freq)     ((freq-430.0)/0.0025)

#define GUI_LED_TxRx			PORTAbits.RA1
#define GUI_LED_RxProcess		PORTAbits.RA2
#define GUI_LED					PORTDbits.RD2
#define BTN_ACTION				PORTAbits.RA0

#define true    1
#define false   0 

#endif