#ifndef _RFM12CONF_H
#define _RFM12CONF_H

/*---------------------------------------------------------------------------*/
/* Configuration for Microchip C18 Compiler                                  */
/*---------------------------------------------------------------------------*/
#include <p18f4520.h>

/* I/O pin controll functions */
#define RFM12_ClrSCK()      LATCbits.LATC6 = 0
#define RFM12_SetSCK()      LATCbits.LATC6 = 1
#define RFM12_ClrSDI()      LATCbits.LATC4 = 0
#define RFM12_SetSDI()      LATCbits.LATC4 = 1
#define RFM12_ClrNSEL()     LATCbits.LATC7 = 0
#define RFM12_SetNSEL()     LATCbits.LATC7 = 1
#define RFM12_GetSDO()      PORTCbits.RC5
#define RFM12_GetIRQ()      PORTDbits.RD0

#endif